---
sidebar_position: 2
description: Send image and other functions to work with Telegram in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Telegram]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Send image
 Sends an image to a chat or channel



`Function SendImage(Val Token, Val ChatID, Val Text, Val Image, Val Keyboard = "", Val Markup = "Markdown") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | ChatID | --chat | String, Number | &#x2714; | Target chat ID or ChatID*TopicID |
  | Text | --text | String | &#x2714; | Message text |
  | Image | --picture | BinaryData, String | &#x2714; | Image file |
  | Keyboard | --keyboard | String, Structure Of KeyAndValue | &#x2716; | Keyboard. See FormKeyboardFromButtonArray |
  | Markup | --parsemode | String | &#x2716; | Text processing type (HTML, Markdown, MarkdownV2) |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Telegram

:::tip
Method at API documentation: [sendPhoto](https://core.telegram.org/bots/api#sendphoto)

Parameters with Binary data type can also accept file paths on disk and URLs
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token     = "6129457865:AAFyzNYOAFbu...";
    ChatID    = "461699897";
    ChannelID = "@testsichee";
    Text      = "Строковое значение";
    Image     = "https://hut.openintegrations.dev/test_data/picture.jpg";

    ImagePath = GetTempFileName("png");
    CopyFile(Image, ImagePath);

    ImageDD = New BinaryData(ImagePath);

    // In chat, by URL
    Result = OPI_Telegram.SendImage(Token, ChatID, Text, Image);

    // To channel, on disk
    Result = OPI_Telegram.SendImage(Token, ChannelID, Text, ImagePath);

    // To channel, from binary data
    Result = OPI_Telegram.SendImage(Token, ChannelID, Text, ImageDD);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint telegram SendImage \
             --token "***" \
             --chat "***" \
             --text "%F0%9F%94%A5 *New release\!*\n\n%F0%9F%8F%B0 *Repository*: [240596448/devtools](https://github.com/240596448/devtools)\n%F0%9F%94%A2 *Version*: \{0.6.0}\n%F0%9F%93%85 *Date release*: 6 december 2025.\n\n>*AI summary*\n>Devtools — this tool for automation work with configurations\extensions 1C:Enterprise and integration with Git. Application allows dump and upload objects, a also synchronize change between Git and repository 1C. In release 0.6.0 realized optimization logic work and added logging, that contributes stability and simplifies analysis work applications.\n\n\n_Not forget put %E2%AD%90 liked projects_" \
             --picture "https://hut.openintegrations.dev/test_data/picture.jpg" \
             --parsemode "MarkdownV2"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint telegram SendImage ^
             --token "***" ^
             --chat "***" ^
             --text "%F0%9F%94%A5 *New release\!*\n\n%F0%9F%8F%B0 *Repository*: [240596448/devtools](https://github.com/240596448/devtools)\n%F0%9F%94%A2 *Version*: \{0.6.0}\n%F0%9F%93%85 *Date release*: 6 december 2025.\n\n>*AI summary*\n>Devtools — this tool for automation work with configurations\extensions 1C:Enterprise and integration with Git. Application allows dump and upload objects, a also synchronize change between Git and repository 1C. In release 0.6.0 realized optimization logic work and added logging, that contributes stability and simplifies analysis work applications.\n\n\n_Not forget put %E2%AD%90 liked projects_" ^
             --picture "https://hut.openintegrations.dev/test_data/picture.jpg" ^
             --parsemode "MarkdownV2"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true,
 "result": {
  "message_id": 18403,
  "from": {
   "id": 6129457865,
   "is_bot": true,
   "first_name": "Бот Виталий",
   "username": "sicheebot"
  },
  "chat": {
   "id": 461699897,
   "first_name": "Anton",
   "last_name": "Titovets",
   "username": "bayselonarrend",
   "type": "private"
  },
  "date": 1765390316,
  "photo": [
   {
    "file_id": "AgACAgIAAxkDAAJGFWkwFfFE2BisPlbDM5TGPXaGd7OzAALoD2sbAAGqgEm_2MFZf9KMjgEAAwIAA3MAAzYE",
    "file_unique_id": "AQAD6A9rGwABqoBJeA",
    "file_size": 1568,
    "width": "***",
    "height": 67
   },
   {
    "file_id": "AgACAgIAAxkDAAJGFWkwFfFE2BisPlbDM5TGPXaGd7OzAALoD2sbAAGqgEm_2MFZf9KMjgEAAwIAA20AAzYE",
    "file_unique_id": "AQAD6A9rGwABqoBJcg",
    "file_size": 21633,
    "width": "***",
    "height": 240
   },
   {
    "file_id": "AgACAgIAAxkDAAJGFWkwFfFE2BisPlbDM5TGPXaGd7OzAALoD2sbAAGqgEm_2MFZf9KMjgEAAwIAA3gAAzYE",
    "file_unique_id": "AQAD6A9rGwABqoBJfQ",
    "file_size": 99260,
    "width": "***",
    "height": 600
   },
   {
    "file_id": "AgACAgIAAxkDAAJGFWkwFfFE2BisPlbDM5TGPXaGd7OzAALoD2sbAAGqgEm_2MFZf9KMjgEAAwIAA3kAAzYE",
    "file_unique_id": "AQAD6A9rGwABqoBJfg",
    "file_size": 218651,
    "width": "***",
    "height": 960
   },
   {
    "file_id": "AgACAgIAAxkDAAJGFWkwFfFE2BisPlbDM5TGPXaGd7OzAALoD2sbAAGqgEm_2MFZf9KMjgEAAwIAA3cAAzYE",
    "file_unique_id": "AQAD6A9rGwABqoBJfA",
    "file_size": 650214,
    "width": "***",
    "height": 1920
   }
  ],
  "caption": "Строковое значение"
 }
}
```
